Subject: [KEYPROV] DSKPP and <TokenPlatformInfoType>

From: <[email-masked]>
Date: Mon, 23 Mar 2009 23:43:29 -0400

<TokenPlatformInfoType>, which relies on <PlatformType> are very
specific to OTP tokens.  These entities were included in the original
RFC4758 (CT-KIP)  as a way of passing token information in the trigger
message.  However, since then the <ClientInfoType> protocol extension
was added, which can be used for the same purpose, but is more generic.

Eliminating redundant entities such as <TokenPlatformInfoType> and
<PlatformType> will make the document more readable and easier to
implement.  As such, I plan to remove these entities in the next update
of DSKPP (-08) unless I hear comments to the contrary.  I'll produce a
new update in April.

Andrea